Summary:           Tiny IPv4 and IPv6 SIP redirect server written in Perl
Summary(de):       Ein winziger, in Perl geschriebener, SIP Redirekt-Server
Name:              sip-redirect
Version:           0.1.2
Release:           2%{?dist}
Group:             System Environment/Daemons
License:           GPLv2+
URL:               http://ftp.robert-scheck.de/linux/%{name}/
Source:            http://ftp.robert-scheck.de/linux/%{name}/%{name}-%{version}.tar.gz
BuildArch:         noarch
Requires:          perl(Socket6), logrotate
Requires(pre):     shadow-utils
Requires(post):    /sbin/chkconfig
Requires(preun):   /sbin/service, /sbin/chkconfig
Requires(postun):  /sbin/service
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
sip-redirect is a tiny SIP redirect server written in Perl. It is IPv4 and
IPv6 capable, but the IPv6 support is optional. The RFC 3261 was the base for
this simple and very configurable implementation. There is neither TCP nor
multicast support programmed in.

%description -l de
sip-redirect ist ein winziger, in Perl geschriebener, SIP Redirekt-Server. Er
unterstützt IPv4 und IPv6, aber der IPv6-Support ist optional. Als Grundlage
für diese einfache und sehr konfigurierbare Implementation wurde die RFC 3261
verwendet. Es wurde keine Unterstützung für TCP und für Multicast eingebaut.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%pre
getent group sip > /dev/null || %{_sbindir}/groupadd -r sip
getent passwd sip > /dev/null || %{_sbindir}/useradd -r -g sip -d / -s /sbin/nologin -c "SIP redirect server" sip
exit 0

%post
/sbin/chkconfig --add %{name}
touch %{_localstatedir}/log/%{name}
chown sip:sip %{_localstatedir}/log/%{name}

%preun
if [ $1 -eq 0 ]; then
  /sbin/service %{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ne 0 ]; then
  /sbin/service %{name} condrestart > /dev/null 2>&1 || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%ghost %attr(0644,sip,sip) %{_localstatedir}/log/%{name}

%changelog
* Thu Nov 06 2008 Robert Scheck <robert@fedoraproject.org> 0.1.2-2
- Changes to match with Fedora Packaging Guidelines (#443675)

* Tue Apr 22 2008 Robert Scheck <robert@fedoraproject.org> 0.1.2-1
- Upgrade to 0.1.2

* Wed Oct 25 2006 Robert Scheck <robert@fedoraproject.org> 0.1.1-1
- Upgrade to 0.1.1

* Sat Jul 08 2006 Robert Scheck <robert@fedoraproject.org> 0.1.0-1
- Upgrade to 0.1.0
- Initial spec file for Fedora Core and Red Hat Enterprise Linux
